
import serial
import random

def random_serial_connection(port, baudrate):
    """
    Establish a random serial connection with a specified port and baudrate.
    """
    # Generate a random serial object with the given port and baudrate
    serial_instance = serial.Serial(port, baudrate)
    
    # Randomly decide whether to open or close the connection
    if random.choice([True, False]):
        serial_instance.open()
    else:
        serial_instance.close()
    
    return serial_instance



